/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package icboxtestapp;

import icbox.IcBox;
import java.util.Iterator;
import java.util.Vector;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 *
 * @author wagner
 */
public class IcBoxSampleApplication extends javax.swing.JFrame {

     private boolean modoProgramacao = false;
    private Thread threadEventosOnline;
    
       //private Vector S19data;
        private IcBox serialIcbox;
        private boolean isConnected = false;
    
    /**
     * Creates new form IcBoxSampleApplication
     */
    public IcBoxSampleApplication() {
        initComponents();
  initSerialIcBox();
        threadEventosOnline = new Thread(){
            public void run(){
                EventoAvisoOnline();
            }
        };        
        threadEventosOnline.setPriority(Thread.MIN_PRIORITY);
        threadEventosOnline.start();  
        this.jProgressBar1.setMaximum(10);
        this.setPanelVisibility(false);                
    }
   private void initSerialIcBox() {

       this.serialIcbox = new IcBox();
       
       Vector lista = this.serialIcbox.getPortList();
       
       Iterator it = lista.iterator();
       cbxPortas.removeAllItems();
       while(it.hasNext()){
           cbxPortas.addItem((String)it.next());
       }
       
        
    }
            
  private void checkSerialConnection(){
        
       try {
        String porta = (String) cbxPortas.getSelectedItem();
        if((!porta.equals("null"))&&(!porta.equals(""))){
            lbSerial.setText("Abrindo porta de comunicação." );
            this.serialIcbox.openCOMPort(porta);
            
            if(this.serialIcbox.checkConnectionStatus()){
                 
                lbSerial.setText("Conectado" );

                btConectar.setText("Desconectar");
                cbxPortas.setEnabled(false);
                btConectar.setEnabled(false);
                isConnected = true;
            }  else {
                 this.serialIcbox.closeCOMPort();
                lbSerial.setText("Não foi possível estabelecer comunicação." );
            }
        
         }
        } catch (Exception e){
            JOptionPane.showMessageDialog( null,"Ocorreu um erro ao abrir a porta de comunicação." , "IcBox firmware", javax.swing.JOptionPane.ERROR_MESSAGE );
        }
        
    }
                
  private void setPanelVisibility(boolean arg){
        
        jPanel2.setVisible(arg);
        jPanel3.setVisible(arg);
        jPanel4.setVisible(arg);
        jPanel5.setVisible(arg);
        jPanel6.setVisible(arg);
        jPanel7.setVisible(arg);
        jPanel8.setVisible(arg);
        jPanel9.setVisible(arg);
        jPanel10.setVisible(arg);        
        
        
    }
    
    public void EventoAvisoOnline() {
        
        byte[] ret;
        String retorno = "";
       // clsAvisoOnline aOnline = new clsAvisoOnline();
        String tmpString="";
        int step = 1;
        
        do{
            try {
                
                if(isConnected) {
                   
                   if(modoProgramacao){
                       
                          Thread.sleep(1000);
                        continue;
                    } 
                   this.jProgressBar1.setValue(step);
                   if (step ==10) {
                        ret = this.serialIcbox.getBufferByte(47,100);
                        retorno = new String(ret);

                        if(retorno.length() ==47){
                            System.out.println("Resposta >>"+retorno+"<<");
                           this.serialIcbox.clearBuffer();

                           // aOnline = new clsAvisoOnline();
                           // o comprimento do numero pode variar de acordo com a operadora
                           // celular de sao paulo, sao 9 digitos
                            String  Numero = retorno.substring(0,22).trim();
                            String  Tipo = retorno.substring(22,23);
                            String  NroLinha = retorno.substring(23,26);
                            String TipoInformacao = retorno.substring(38,39);
                             JOptionPane.showMessageDialog( null,"Ligação: \r\n Tipo: "+Tipo+ "\r\n Tipo: "+
                                     TipoInformacao+ "\r\n Numero: "+Numero+ " \r\n Id LInha: "+ NroLinha , 
                                     "IcBox - Evento ligação", javax.swing.JOptionPane.INFORMATION_MESSAGE );
                        }
                        step =1;
                   }
                   step++;
                
            }
                Thread.sleep(100);
            }catch(Exception e ){
                e.printStackTrace();
            }
        }while(true);        
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        cbxPortas = new javax.swing.JComboBox();
        lbSerial = new javax.swing.JLabel();
        btConectar = new javax.swing.JButton();
        btDesconectar = new javax.swing.JButton();
        btAtualizar = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        lbVersionInfo = new javax.swing.JLabel();
        btVersao = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        lbConnectionStatus = new javax.swing.JLabel();
        btStatusConexao = new javax.swing.JButton();
        jPanel4 = new javax.swing.JPanel();
        lbIsConnected = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jPanel5 = new javax.swing.JPanel();
        lbOnHook = new javax.swing.JLabel();
        btGancho = new javax.swing.JButton();
        jPanel6 = new javax.swing.JPanel();
        lbId = new javax.swing.JLabel();
        edtId = new javax.swing.JTextField();
        btGetId = new javax.swing.JButton();
        btSetid = new javax.swing.JButton();
        jPanel7 = new javax.swing.JPanel();
        lbRxLevel = new javax.swing.JLabel();
        btGetRXLevel = new javax.swing.JButton();
        edtRXLevel = new javax.swing.JTextField();
        btSetRXLevel = new javax.swing.JButton();
        jPanel8 = new javax.swing.JPanel();
        lbRXMode = new javax.swing.JLabel();
        edtRXMode = new javax.swing.JTextField();
        btGetRXMode = new javax.swing.JButton();
        btSetRXMode = new javax.swing.JButton();
        jPanel9 = new javax.swing.JPanel();
        edtNumero = new javax.swing.JTextField();
        btdiscar = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jPanel10 = new javax.swing.JPanel();
        jCheckBox1 = new javax.swing.JCheckBox();
        jProgressBar1 = new javax.swing.JProgressBar();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("IcBox Application Sample");

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Conexão"));

        jLabel1.setText("Porta");

        lbSerial.setText(":");

        btConectar.setText("Conectar");
        btConectar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btConectarActionPerformed(evt);
            }
        });

        btDesconectar.setText("Desconectar");
        btDesconectar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btDesconectarActionPerformed(evt);
            }
        });

        btAtualizar.setText("Atualizar");
        btAtualizar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btAtualizarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(lbSerial, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(219, 219, 219))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(btConectar, javax.swing.GroupLayout.PREFERRED_SIZE, 107, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel1)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(cbxPortas, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(btAtualizar, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(btDesconectar, javax.swing.GroupLayout.PREFERRED_SIZE, 107, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap(18, Short.MAX_VALUE))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(cbxPortas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btAtualizar))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btConectar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btDesconectar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 22, Short.MAX_VALUE)
                .addComponent(lbSerial, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(22, 22, 22))
        );

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder("Versão"));

        lbVersionInfo.setText(":");

        btVersao.setText("getVersionInfo");
        btVersao.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btVersaoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(lbVersionInfo, javax.swing.GroupLayout.PREFERRED_SIZE, 78, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(21, 21, 21))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(btVersao)
                        .addContainerGap())))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(lbVersionInfo)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btVersao))
        );

        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Status Conexão"));

        lbConnectionStatus.setText(":");

        btStatusConexao.setText("checkConnectionStatus");
        btStatusConexao.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btStatusConexaoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel3Layout.createSequentialGroup()
                        .addComponent(btStatusConexao)
                        .addGap(0, 10, Short.MAX_VALUE))
                    .addComponent(lbConnectionStatus, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGap(4, 4, 4)
                .addComponent(lbConnectionStatus)
                .addGap(18, 18, 18)
                .addComponent(btStatusConexao)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder("Conectado"));

        lbIsConnected.setText(":");

        jButton1.setText("getIsConnected");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jButton1))
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(26, 26, 26)
                        .addComponent(lbIsConnected, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(38, Short.MAX_VALUE))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addComponent(lbIsConnected)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton1))
        );

        jPanel5.setBorder(javax.swing.BorderFactory.createTitledBorder("Gancho"));

        lbOnHook.setText(":");

        btGancho.setText("getOnHook");
        btGancho.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btGanchoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(btGancho)
                .addContainerGap())
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addGap(18, 18, 18)
                .addComponent(lbOnHook, javax.swing.GroupLayout.PREFERRED_SIZE, 64, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addComponent(lbOnHook)
                .addGap(18, 18, 18)
                .addComponent(btGancho)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        jPanel6.setBorder(javax.swing.BorderFactory.createTitledBorder("Id"));

        lbId.setText(":");

        btGetId.setText("getId");
        btGetId.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btGetIdActionPerformed(evt);
            }
        });

        btSetid.setText("setId");
        btSetid.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btSetidActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(btGetId, javax.swing.GroupLayout.PREFERRED_SIZE, 77, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGap(30, 30, 30)
                        .addComponent(lbId, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGap(18, 18, 18)
                        .addComponent(btSetid, javax.swing.GroupLayout.PREFERRED_SIZE, 78, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(edtId, javax.swing.GroupLayout.PREFERRED_SIZE, 58, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(36, 36, 36))))
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lbId)
                    .addComponent(edtId, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btGetId)
                    .addComponent(btSetid))
                .addGap(0, 21, Short.MAX_VALUE))
        );

        jPanel7.setBorder(javax.swing.BorderFactory.createTitledBorder("RX Mode"));

        lbRxLevel.setText(":");

        btGetRXLevel.setText("getRXLevel");
        btGetRXLevel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btGetRXLevelActionPerformed(evt);
            }
        });

        btSetRXLevel.setText("setRXLevel");
        btSetRXLevel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btSetRXLevelActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel7Layout = new javax.swing.GroupLayout(jPanel7);
        jPanel7.setLayout(jPanel7Layout);
        jPanel7Layout.setHorizontalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(btGetRXLevel)
                    .addGroup(jPanel7Layout.createSequentialGroup()
                        .addGap(26, 26, 26)
                        .addComponent(lbRxLevel, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(18, 18, 18)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel7Layout.createSequentialGroup()
                        .addComponent(edtRXLevel)
                        .addGap(19, 19, 19))
                    .addGroup(jPanel7Layout.createSequentialGroup()
                        .addComponent(btSetRXLevel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap())))
        );
        jPanel7Layout.setVerticalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lbRxLevel)
                    .addComponent(edtRXLevel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(21, 21, 21)
                .addGroup(jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btGetRXLevel)
                    .addComponent(btSetRXLevel))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel8.setBorder(javax.swing.BorderFactory.createTitledBorder("RX Mode"));

        lbRXMode.setText(":");

        btGetRXMode.setText("getRXMode");
        btGetRXMode.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btGetRXModeActionPerformed(evt);
            }
        });

        btSetRXMode.setText("setRXMode");
        btSetRXMode.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btSetRXModeActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel8Layout = new javax.swing.GroupLayout(jPanel8);
        jPanel8.setLayout(jPanel8Layout);
        jPanel8Layout.setHorizontalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addComponent(lbRXMode, javax.swing.GroupLayout.PREFERRED_SIZE, 59, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(edtRXMode, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(48, 48, 48))
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(btGetRXMode, javax.swing.GroupLayout.PREFERRED_SIZE, 89, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btSetRXMode, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel8Layout.setVerticalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lbRXMode)
                    .addComponent(edtRXMode, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btGetRXMode)
                    .addComponent(btSetRXMode))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel9.setBorder(javax.swing.BorderFactory.createTitledBorder("Discar"));

        btdiscar.setText("dialNumber");
        btdiscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btdiscarActionPerformed(evt);
            }
        });

        jLabel2.setText("P = pausa de 500 mSecs");

        javax.swing.GroupLayout jPanel9Layout = new javax.swing.GroupLayout(jPanel9);
        jPanel9.setLayout(jPanel9Layout);
        jPanel9Layout.setHorizontalGroup(
            jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel9Layout.createSequentialGroup()
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(edtNumero, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 118, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(jPanel9Layout.createSequentialGroup()
                            .addGap(20, 20, 20)
                            .addComponent(btdiscar)))
                    .addComponent(jLabel2, javax.swing.GroupLayout.Alignment.TRAILING))
                .addContainerGap())
        );
        jPanel9Layout.setVerticalGroup(
            jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel9Layout.createSequentialGroup()
                .addComponent(edtNumero, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(btdiscar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jLabel2)
                .addContainerGap())
        );

        jPanel10.setBorder(javax.swing.BorderFactory.createTitledBorder("Captura de eventos"));

        jCheckBox1.setText("Modo Configuração");
        jCheckBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel10Layout = new javax.swing.GroupLayout(jPanel10);
        jPanel10.setLayout(jPanel10Layout);
        jPanel10Layout.setHorizontalGroup(
            jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel10Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel10Layout.createSequentialGroup()
                        .addComponent(jCheckBox1)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addComponent(jProgressBar1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel10Layout.setVerticalGroup(
            jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel10Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jCheckBox1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jProgressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jPanel7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jPanel8, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jPanel9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(57, 57, 57)
                                .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, 196, javax.swing.GroupLayout.PREFERRED_SIZE))))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .addComponent(jPanel10, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                .addContainerGap(18, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jPanel4, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jPanel2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel10, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                        .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addComponent(jPanel6, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(14, 14, 14)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jPanel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jPanel9, javax.swing.GroupLayout.DEFAULT_SIZE, 0, Short.MAX_VALUE)))
                    .addGroup(layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jPanel7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btConectarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btConectarActionPerformed

           if(isConnected){
            this.serialIcbox.closeCOMPort();
            btConectar.setText("Conectar");
            cbxPortas.setEnabled(true);
            btAtualizar.setEnabled(true);
            jPanel1.setEnabled(false);
            isConnected = false;
            this.setPanelVisibility(false);
        } else {
            checkSerialConnection();
            this.setPanelVisibility(true);
        } 
        // TODO add your handling code here:
    }//GEN-LAST:event_btConectarActionPerformed

    private void btDesconectarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btDesconectarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btDesconectarActionPerformed

    private void btAtualizarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btAtualizarActionPerformed
          initSerialIcBox();

    }//GEN-LAST:event_btAtualizarActionPerformed

    private void btVersaoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btVersaoActionPerformed
        if(isConnected){
            lbVersionInfo.setText(serialIcbox.getVersionInfo());
        }
    }//GEN-LAST:event_btVersaoActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
  if(isConnected){
             if(serialIcbox.getIsConnected()){
                 lbIsConnected.setText("Conectado"); 
             } else {
                 lbIsConnected.setText("Desconectado"); 
             }
            
  }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void btStatusConexaoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btStatusConexaoActionPerformed
         if(isConnected){
            if(serialIcbox.checkConnectionStatus()){
                lbConnectionStatus.setText("Comunicação ok");
            } else {
                lbConnectionStatus.setText("Problemas na comunicação");
            }
            
        }
    }//GEN-LAST:event_btStatusConexaoActionPerformed

    private void btGanchoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btGanchoActionPerformed

               if (isConnected){
           if(serialIcbox.getOnHook()){
               lbOnHook.setText("No gancho");
           } else {
               lbOnHook.setText("Fora do gancho");
           }
           
       }
    }//GEN-LAST:event_btGanchoActionPerformed

    private void btGetIdActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btGetIdActionPerformed
     
        if(isConnected){
            lbId.setText(serialIcbox.getIdNumber());
        }

    }//GEN-LAST:event_btGetIdActionPerformed

    private void btSetidActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btSetidActionPerformed
   
        String valor = edtId.getText().trim();
        int teste = 0;
        try {
           teste = Integer.parseInt(valor);
           
           if((teste < 1)||(teste > 999)){
                JOptionPane.showMessageDialog( null,"O id deve ser um valor entre 001 e 999." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.ERROR_MESSAGE );
           } else {
               if (serialIcbox.setIdNumber(valor)){
               JOptionPane.showMessageDialog( null,"Id gravado!." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.INFORMATION_MESSAGE );    
               }
           }
            
        }catch (Exception e){
            
        }
        

    }//GEN-LAST:event_btSetidActionPerformed

    private void btGetRXModeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btGetRXModeActionPerformed
        if(isConnected){
            int value = serialIcbox.getRXMode();
            lbRXMode.setText(String.valueOf(value));
        }
        // TODO add your handling code here:
    }//GEN-LAST:event_btGetRXModeActionPerformed

    private void btSetRXModeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btSetRXModeActionPerformed

        String valor_txt = edtRXMode.getText().trim();
      int valor = 0;
      
      if(!valor_txt.equals("")){
          //vazio
          try{ 
               valor = Integer.parseInt(valor_txt);
               
               if((valor < 1)||(valor > 3)){
                JOptionPane.showMessageDialog( null,"O modo deve ser um valor entre 1 e 3." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.ERROR_MESSAGE );   
                return;
               }
               
               if(serialIcbox.setRXMode(valor)){
                    JOptionPane.showMessageDialog( null,"Modo RX gravado!." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.INFORMATION_MESSAGE );    
               }
              } catch (Exception e){
                  
              }
      }
    }//GEN-LAST:event_btSetRXModeActionPerformed

    private void jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox1ActionPerformed
        
         this.modoProgramacao = jCheckBox1.isSelected();
         this.jProgressBar1.setEnabled(!jCheckBox1.isSelected());

    }//GEN-LAST:event_jCheckBox1ActionPerformed

    private void btdiscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btdiscarActionPerformed
   if(isConnected){
            
            String numero = edtNumero.getText().trim();
            if(!numero.equals("")){
                if(serialIcbox.dialNumber(numero)){
                    JOptionPane.showMessageDialog( null,"Numero discado com sucesso." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.INFORMATION_MESSAGE );    
                }
                
            }else {
                //vazio
            }
            
        }

    }//GEN-LAST:event_btdiscarActionPerformed

    private void btGetRXLevelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btGetRXLevelActionPerformed
        if(isConnected){
            int value = serialIcbox.getRXLevel();
            lbRxLevel.setText(String.valueOf(value));
        }
        
    }//GEN-LAST:event_btGetRXLevelActionPerformed

    private void btSetRXLevelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btSetRXLevelActionPerformed
      String valor_txt = edtRXLevel.getText().trim();
      int valor = 0;
      
      if(!valor_txt.equals("")){
          //vazio
          try{ 
               valor = Integer.parseInt(valor_txt);
               
               if((valor < 1)||(valor > 8)){
                JOptionPane.showMessageDialog( null,"O nivel de rx  deve ser um valor entre 1 e 8." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.ERROR_MESSAGE );   
                return;
               }
               
               if(serialIcbox.setRXLevel(valor)){
                    JOptionPane.showMessageDialog( null,"Nível RX gravado!." , "IcBox Aplicação exemplo", javax.swing.JOptionPane.INFORMATION_MESSAGE );    
               }
              } catch (Exception e){
                  
              }
      }
    }//GEN-LAST:event_btSetRXLevelActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(IcBoxSampleApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(IcBoxSampleApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(IcBoxSampleApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(IcBoxSampleApplication.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                try {
                    UIManager.setLookAndFeel(
                    UIManager.getCrossPlatformLookAndFeelClassName());
                } catch (ClassNotFoundException ex) {
                    Logger.getLogger(IcBoxSampleApplication.class.getName()).log(Level.SEVERE, null, ex);
                } catch (InstantiationException ex) {
                    Logger.getLogger(IcBoxSampleApplication.class.getName()).log(Level.SEVERE, null, ex);
                } catch (IllegalAccessException ex) {
                    Logger.getLogger(IcBoxSampleApplication.class.getName()).log(Level.SEVERE, null, ex);
                } catch (UnsupportedLookAndFeelException ex) {
                    Logger.getLogger(IcBoxSampleApplication.class.getName()).log(Level.SEVERE, null, ex);
                }

            JFrame.setDefaultLookAndFeelDecorated(true);
            JDialog.setDefaultLookAndFeelDecorated(true);                
                new IcBoxSampleApplication().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btAtualizar;
    private javax.swing.JButton btConectar;
    private javax.swing.JButton btDesconectar;
    private javax.swing.JButton btGancho;
    private javax.swing.JButton btGetId;
    private javax.swing.JButton btGetRXLevel;
    private javax.swing.JButton btGetRXMode;
    private javax.swing.JButton btSetRXLevel;
    private javax.swing.JButton btSetRXMode;
    private javax.swing.JButton btSetid;
    private javax.swing.JButton btStatusConexao;
    private javax.swing.JButton btVersao;
    private javax.swing.JButton btdiscar;
    private javax.swing.JComboBox cbxPortas;
    private javax.swing.JTextField edtId;
    private javax.swing.JTextField edtNumero;
    private javax.swing.JTextField edtRXLevel;
    private javax.swing.JTextField edtRXMode;
    private javax.swing.JButton jButton1;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JProgressBar jProgressBar1;
    private javax.swing.JLabel lbConnectionStatus;
    private javax.swing.JLabel lbId;
    private javax.swing.JLabel lbIsConnected;
    private javax.swing.JLabel lbOnHook;
    private javax.swing.JLabel lbRXMode;
    private javax.swing.JLabel lbRxLevel;
    private javax.swing.JLabel lbSerial;
    private javax.swing.JLabel lbVersionInfo;
    // End of variables declaration//GEN-END:variables
}

